Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class CharGenTCPClient

    java.lang.Object
      org.apache.commons.net.SocketClient
          org.apache.commons.net.CharGenTCPClient

public final class CharGenTCPClient
extends SocketClient

The CharGenTCPClient class is a TCP implementation of a client for the character generator protocol described in RFC 864. It can also be used for Systat (RFC 866), Quote of the Day (RFC 865), and netstat (port 15). All of these protocols involve connecting to the appropriate port, and reading data from an input stream. The chargen protocol actually sends data until the receiving end closes the connection. All of the others send only a fixed amount of data and then close the connection.

To use the CharGenTCPClient class, just establish a connection with `connect` and call `getInputStream()` to access the data. Don't close the input stream when you're done with it. Rather, call `disconnect` to clean up properly.

Author:
  Daniel F. Savarese
See Also:
  `CharGenUDPClient`

Field Summary
`static int` | `CHARGEN_PORT` The character generator port value of 19 according to RFC 864.
`static int` | `DEFAULT_PORT` The default chargen port.
`static int` | `NETSTAT_PORT` The netstat port value of 19.
`static int` | `QUOTE_OF_DAY_PORT` The quote of the day port value of 17 according to RFC 865.
`static int` | `SYSTAT_PORT` The systat port value of 11 according to RFC 866.

Fields inherited from class org.apache.commons.net.SocketClient
`_defaultPort_, _input_, _isConnected_, _output_, _socket_, _socketFactory_, _timeout_, NETASCII_EOL`

Constructor Summary
`CharGenTCPClient()` The default constructor for CharGenTCPClient.

Method Summary
`InputStream` | `getInputStream()` Returns an InputStream from which the server generated data can be read.

Methods inherited from class org.apache.commons.net.SocketClient
`_connectAction_, connect, connect, connect, connect, connect, connect, disconnect, getDefaultPort, getDefaultTimeout, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSoLinger, getSoTimeout, getTcpNoDelay, isConnected, setDefaultPort, setDefaultTimeout, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTAT_PORT

    public static final int SYSTAT_PORT

  The systat port value of 11 according to RFC 866.

  See Also:
    Constant Field Values

### NETSTAT_PORT

    public static final int NETSTAT_PORT

  The netstat port value of 19.

  See Also:
    Constant Field Values

### QUOTE_OF_DAY_PORT

    public static final int QUOTE_OF_DAY_PORT

  The quote of the day port value of 17 according to RFC 865.

  See Also:
    Constant Field Values

### CHARGEN_PORT

    public static final int CHARGEN_PORT

  The character generator port value of 19 according to RFC 864.

  See Also:
    Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  The default chargen port. It is set to 19 according to RFC 864.

  See Also:
    Constant Field Values

Constructor Detail

### CharGenTCPClient

    public CharGenTCPClient()

  The default constructor for CharGenTCPClient. It merely sets the default port to `DEFAULT_PORT` .

Method Detail

### getInputStream

    public InputStream getInputStream()

  Returns an InputStream from which the server generated data can be read. You should NOT close the InputStream when you're finished reading from it. Rather, you should call `disconnect` to clean up properly.

  Returns:
    An InputStream from which the server generated data can be read.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.